package de.npid7.serverlite;

import de.npid7.serverlite.Commands.StatusCommand;
import de.npid7.serverlite.Configs.PlayerConfig;
import de.npid7.serverlite.Configs.PluginConfig;
import de.npid7.serverlite.Helpers.Spielzeit;
import de.npid7.serverlite.Listeners.JoinListener;
import de.npid7.serverlite.TabCompleters.StatusCompleter;
import de.npid7.serverlite.Tasks.TablistTask;
import java.util.logging.Logger;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;

/*
 * d7serverlite java plugin
 */
public class D7ServerLite extends JavaPlugin {
  private static D7ServerLite inst;

  private TablistTask tablistUpdater;
  private PluginConfig pluginConfig;
  private PlayerConfig playerConfig;

  @Override
  public void onLoad() {
    inst = this;
  }

  @Override
  public void onEnable() {
    if (!getDataFolder().exists()) {
      getDataFolder().mkdirs();
    }
    pluginConfig = new PluginConfig(getDataFolder() + "/config.json");
    playerConfig = new PlayerConfig(getDataFolder() + "/player_config.json");
    tablistUpdater = new TablistTask();
    getCommand("status").setExecutor(new StatusCommand());
    getCommand("status").setTabCompleter(new StatusCompleter());

    Bukkit.getPluginManager().registerEvents(new JoinListener(), this);
  }

  @Override
  public void onDisable() {}

  public static D7ServerLite getInst() {
    return inst;
  }

  public PluginConfig getPluginConfig() {
    return this.pluginConfig;
  }

  public PlayerConfig getPlayerConfig() {
    return this.playerConfig;
  }
}
